> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove entries

> Removes values from a dataset.

Removes values from a dataset. Non-existent values are silently ignored. Changes take effect immediately — no redeploy needed.

**Path parameters:**

| Parameter    | Description |
| :----------- | :---------- |
| `dataset_id` | Dataset ID  |

**Request body:**

```json theme={null}
{
  "values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359"]
}
```

| Field    | Required | Description                      |
| :------- | :------- | :------------------------------- |
| `values` | Yes      | Array of string values to remove |

```bash theme={null}
curl -X DELETE https://api.allium.so/api/v1/beam/datasets/${DATASET_ID}/entries \
  -H "X-API-Key: ${ALLIUM_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{ "values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359"] }'
```

**Response:**

```json theme={null}
{ "count": 1 }
```


## OpenAPI

````yaml _openapi/beam-api.json DELETE /api/v1/beam/datasets/{dataset_id}/entries
openapi: 3.1.0
info:
  title: Allium Beam API
  description: Allium Beam — managed streaming pipelines on top of Allium Datastreams.
  version: 1.0.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/beam/datasets/{dataset_id}/entries:
    delete:
      tags:
        - BEAM
      summary: Remove Entries Handler
      operationId: remove_entries_handler_api_v1_beam_datasets__dataset_id__entries_delete
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetEntriesRemoveRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetEntryCountResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    DatasetEntriesRemoveRequest:
      properties:
        values:
          items:
            type: string
          type: array
          maxItems: 250000
          title: Values
      type: object
      required:
        - values
      title: DatasetEntriesRemoveRequest
    DatasetEntryCountResponse:
      properties:
        count:
          type: integer
          title: Count
      type: object
      required:
        - count
      title: DatasetEntryCountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````